Bug 118495 - Vertical text is illegible in almost all cases with OpenGL enabled
Summary: Vertical text is illegible in almost all cases with OpenGL enabled
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta2+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering OpenGL CommonSalLayout-refactoring-regressions
  Show dependency treegraph
 
Reported: 2018-07-01 23:04 UTC by Gerhard Weydt
Modified: 2018-08-06 21:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerhard Weydt 2018-07-01 23:04:40 UTC
Description:
This seems to be a bug connected with OpenGL. I encounter it when OpenGL is active, but not when it's inactive.
Create a new writer document, type some characters, select them, then set the orientation to vertical via Format -> Character -> Position (not completely sure about the english wording). It doesn't seem to matter whether you choose 90° or 270°.
In most cases the text is not intelligible any longer. Changing the font will normally make it readable again, but subsequent changes of orientation or font will sommetimes make it illegible again, and then also "undo" will often not restore a legible text.
Sorry, there's a lot of not really exact and always reproducible information, but that's the fact!
Remark: I very often read the suggestion to deactivate OpenGL when people report problems regarding the user interface. I start wondering why OpenGL is by default active, then.

Actual Results:
 

Expected Results:
 


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Comment 1 Dieter Praas 2018-07-02 06:41:08 UTC
I tried to reproduce it. I got problems with Bahnschrift and Segui UI; no problems with Liberation Serif and Calibri.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: b0e291a7efcd3af2a72d0b622b1f1b84723f011f
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-30_23:43:40
Locale: en-US (de_DE); Calc: CL


"I start wondering why OpenGL is by default active, then." That's also my question.
Comment 2 Xisco Faulí 2018-07-03 09:43:25 UTC
Hi Dieter,
Could you please try with a previous version to see if it's a regression ?

@Miklos, since you have been fixing some OpenGl related problem recently, I thought you could be interested in this one...
Comment 3 V Stuart Foote 2018-07-11 20:59:58 UTC
Should be fixed, text entered as in comment 0 wtih OpenGL rendering would become corrupt with 2018-07-05 build of master/6.2, but same steps in the 2018-07-11 build hold font and rendering.

Retest with

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 86ca9badf9be518be3456afde70271bc1f956065
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-07-11_02:27:04
Locale: en-US (en_US); Calc: CL

or later

=-ref-=

https://cgit.freedesktop.org/libreoffice/core/commit/?id=fad862e290d727fc9fefe206f6e4b807482c4175

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ca4e75d694a5fb41a1c800146319aa6ba34d8bab
Comment 4 Gerhard Weydt 2018-08-06 21:45:34 UTC
(In reply to V Stuart Foote from comment #3)
> Should be fixed, text entered as in comment 0 wtih OpenGL rendering would
> become corrupt with 2018-07-05 build of master/6.2, but same steps in the
> 2018-07-11 build hold font and rendering.
> 
> Retest with
> 
> Version: 6.2.0.0.alpha0+ (x64)
> Build ID: 86ca9badf9be518be3456afde70271bc1f956065
> CPU threads: 8; OS: Windows 10.0; UI render: GL; 
> TinderBox: Win-x86_64@42, Branch:master, Time: 2018-07-11_02:27:04
> Locale: en-US (en_US); Calc: CL
> 
> or later
> 
> =-ref-=
> 
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=fad862e290d727fc9fefe206f6e4b807482c4175
> 
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=ca4e75d694a5fb41a1c800146319aa6ba34d8bab

Tested with

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 7119184f4b5441600f7b3eae7ec6771c094bbb7f
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-07-23_05:38:07
Locale: de-DE (de_DE); Calc: CL

Setting status to Verified.